global stub ch1_f04
/*
	GBSG breast cancer data.
	Kaplan Meier for recurrence-free survival.

	Note: stata 10 is needed for this graph.
*/
set more off
mvmb_load gbsg_br_ca

sts graph, risktable(,fail) gwood xla(0(2)6) sav($stub, replace) leg(off) title("") ///
 xtitle("Recurrence-free survival time, yr") ytitle("Survival probability") nodraw

gph2emf $stub
gph2eps $stub

set more on
