version 10	// to get updated fracpoly, compare
global stub ch4_t09
/*
	Prostate cancer data.
	Spike-at-zero example.
*/
set more off
mvmb_load prostate_ca
mvmb_logopen

global vars cavol weight2 age bph svi cp pgg45

gen byte pgg45_0 = (pgg45<.01)

gen x = cond(pgg45==0, 0, pgg45+1)
fracpoly regress lpsa x, catzero(x) compare

fracpoly regress lpsa pgg45_0 1

* Show each model
fracpoly regress lpsa x 1, catzero(x) adjust(4)
fracpoly regress lpsa x -0.5, catzero(x) adjust(4)
fracpoly regress lpsa x 1 3, catzero(x) adjust(4)

* For second step: test z and x in linear model
regress lpsa x pgg45_0
di "dev = " -2*e(ll)
test x
test pgg45_0

regress lpsa pgg45_0
di "dev = " -2*e(ll)
regress lpsa x
test x
di "dev = " -2*e(ll), -2*e(ll_0)

log close
set more on
