version 9.2
global stub ch2_f04
/*
	Schematic diagram to illustrate shrinkage of various kinds.
*/
set more off
mvmb_load
drop _all
set obs 1000
gen x = 5*(_n-1)/(_N-1)
gen y = x
gen y1 = cond(x<=2, 0, x)
gen y2 = 2*x/5
gen y3 = cond(x<=2, 0, x-2)
gen y4 = cond(x<=2, 0, 2*(x-2)-0.2*(x-2)^2)

local j 0
foreach title in "Variable selection" "Shrinkage" "Lasso" "Garotte" {
	local ++j
	line y`j' y x, sort clp(l -) yla(0(1)5) xla(0(1)5) xtitle("") ytitle("") ///
	 title("`title'") leg(off) name(g`j', replace) nodraw
}
graph combine g1 g2 g3 g4, l1title(beta_tilde) b2title(beta_OLS) sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub

graph drop g1 g2 g3 g4
set more on
