version 9.2
global stub ch2_t03
/*
	Educational body fat data.
	Table 2.3: full model and BE(.05).
	Excluding case 39.
*/
set more off
mvmb_load edu_bodyfat
mvmb_logopen

drop if case==39

unab vars: age-wrist

local j 0
qui foreach v of var `vars' {
	local ++j
	rename `v' x`j'
	lab var x`j' "`v'"
}
unab vars: x1-x`j'

regress pcfat `vars'
predict xbfull

stepwise regress pcfat `vars', pr(.05)
predict xbbe

correlate xbfull xbbe
drop xb*

* Exclude x6

local x6 x6
local vars: list vars - x6
regress pcfat `vars'
predict xbfull

stepwise regress pcfat `vars', pr(.05)
predict xbbe

correlate xbfull xbbe

log close
set more on
