version 9.2
set scheme s1mono
global stub ch7_f03
/*
	Advanced prostate cancer data.
	bm x rx interaction.
*/
set more off
mvmb_load adv_prostate_ca

global stuff xlab(0(20)80) by(rx) ///
 xtitle(" ", size(large)) ytitle(" ", size(large)) ///
 clp(l -) lwidth(medthick ..) lcolor(gs6 ..) leg(off)

local lab0 "No bone metastases"
local lab1 "Had bone metastases"
forval j=0/1 {
	sts graph if bm==`j', $stuff name(g`j', replace) nodraw title("`lab`j''") 
}

graph combine g0 g1, sav($stub, replace) nodraw ///
 b2("Survival time, months") l1("Survival probability") imargin(small)

gph2emf $stub
gph2eps $stub

graph drop g0 g1
set more on
